<?php
/**
 * 
 * Simple Blogger Functions and Definitions
 * 
 */
function simpleblogger_setup()
{
    add_theme_support("post-formats", ["aside", "gallery", "image", "standard", ]);
	
	
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'single-post-image', 500, 500, true );

    add_theme_support("custom-header", ["default-image" => "", 
    "width" => "990", 
    "height" => "240", 
    "flex-height" => true, 
    "flex-width" => true, 
    "header-text" => false, ]);

   
	add_theme_support("responsive-embeds");
    add_theme_support("align-wide");
    add_theme_support("custom-background");
    add_theme_support("title-tag");
    add_theme_support("automatic-feed-links");
    add_theme_support("wp-block-styles");
    add_theme_support("html5", ["comment-list", "comment-form", "search-form", "gallery", "caption", "style", "script", ]);

    load_theme_textdomain("simple-blogger", get_template_directory() . "/languages");

    //Needed to ensure validation in Comment form
	remove_theme_support("html5", "comment-form");
}

add_action("after_setup_theme", "simpleblogger_setup");

register_nav_menus(["primary" => __("Primary Menu", "simple-blogger") , ]);

function simpleblogger_style_sheets()
{
    wp_enqueue_style("bootstrap", get_template_directory_uri() . "/css/bootstrap.css", [], "3.4.1", "all");
    wp_enqueue_style("fontawesome", get_template_directory_uri() . "/css/fontawesome.css", [], "5.15.3", "all");
    wp_enqueue_style("brands", get_template_directory_uri() . "/css/brands.css", [], "5.15.3", "all");
    wp_enqueue_style("solid", get_template_directory_uri() . "/css/solid.css", [], "5.15.3", "all");
    wp_enqueue_style("v4-shims.min", get_template_directory_uri() . "/css/v4-shims.min.css", [], "5.15.3", "all");
    wp_enqueue_style("style", get_template_directory_uri() . "/style.css", [], "1.0.3", "all");
    wp_enqueue_style("style-ie8", get_template_directory_uri() . "/css/ie8.css", ["style"], "1.0");
    wp_style_add_data("style-ie8", "conditional", "lt IE 9");
}

add_action("wp_enqueue_scripts", "simpleblogger_style_sheets");

function simpleblogger_widgets_init()
{
    register_sidebar(["name" => __("Right Sidebar", "simple-blogger") , "id" => "right-sidebar-widget-area", "description" => __("A widget area located to the right hand side.", "simple-blogger") , "before_widget" => '<div id="%1$s" class="jumbotron widget %2$s">', "after_widget" => "</div>", "before_title" => '<h3 class="widget-title">', "after_title" => "</h3>", ]);

    register_sidebar(["name" => __("Footer Widget", "simple-blogger") , "id" => "footer-widget-area", "description" => __("A widget area located at the bottom.", "simple-blogger") , "before_widget" => '<div id="%1$s" class="jumbotron widget %2$s">', "after_widget" => "</div>", "before_title" => '<h3 class="widget-title">', "after_title" => "</h3>", ]);
}
add_action("widgets_init", "simpleblogger_widgets_init");

function simpleblogger_java_scripts()
{
    wp_enqueue_script("bootstrap", get_template_directory_uri() . "/js/bootstrap.js", ["jquery"], "3.4.1", "true");
    if (is_singular() && get_option("thread_comments"))
    {
        wp_enqueue_script("comment-reply");
    }
}

add_action("wp_enqueue_scripts", "simpleblogger_java_scripts");

require_once get_template_directory() . "/includes/template-functions.php";

require_once get_template_directory() . "/wp-bootstrap-navwalker.php";

require_once get_template_directory() . "/includes/template-tags.php";

require_once get_template_directory() . "/includes/commentcallback.php";

require_once get_template_directory() . "/includes/customizer.php";

?>
