<?php
/**
 *
 * Simple Blogger Template Tags
 *
 */

//Function for displaying post information

if (!function_exists("simpleblogger_post_info")) {
    function simpleblogger_post_info()
    {
        $archive_year = get_the_time("Y");
        $archive_month = get_the_time("m");
        $archive_day = get_the_time("d");
        ?>

<p> <?php esc_html_e(
    "Posted on ",
    "simple-blogger"
); ?><i class="fa fa-calendar" aria-hidden="true"></i> <a href="<?php echo get_day_link(
    $archive_year,
    $archive_month,
    $archive_day
); ?>"> <?php the_time(get_option("date_format")); ?></a> <?php esc_html_e(
    "by",
    "simple-blogger"
); ?> <i class="fa fa-user" aria-hidden="true"></i> <?php the_author(); ?></p>
    <?php
    }
}

//Function for displaying post title

if (!function_exists("simpleblogger_post_title")) {
    function simpleblogger_post_title()
    {
        ?>
<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?>	</a></h3> 
    <?php
    }
}

//Function for displaying post tags
if (!function_exists("simpleblogger_show_tags")) {
    function simpleblogger_show_tags()
    {
        $post_tags = get_the_tags();
        if (!empty($post_tags)) {
            echo "<div>";
            echo "<p>";
            echo '<i class="fa fa-tag" ></i>';
            foreach ($post_tags as $post_tag) {
                echo ' <a href="' .
                    get_tag_link($post_tag) .
                    '">' .
                    $post_tag->name .
                    "</a>";
            }
            echo "</p>";
            echo "</div>";
        }
    }
}

//Function for displaying post categories
if (!function_exists("simpleblogger_show_cats")) {
    function simpleblogger_show_cats()
    {
        $categories = get_the_category();

        if (!empty($categories)) {
            echo "<div>";
            echo "<p>";
            echo '<i class="fa fa-folder" ></i>';
            foreach ($categories as $category) {
                echo ' <a href="' .
                    get_category_link($category->term_id) .
                    '">' .
                    $category->cat_name .
                    "</a>";
            }
            echo "</p>";
            echo "</div>";
        }
    }
}

//Function for setting excerpt length

function simpleblogger_customize_the_excerpt_length()
{
    return 100;
}
add_filter("excerpt_length", "simpleblogger_customize_the_excerpt_length");

//Function for  read more link button

function simpleblogger_button_excerpt_more($more)
{
    if ( is_admin() ) return $more;
	global $post;
    return ' <div><a class="btn btn-primary" href="' .
        get_permalink($post->ID) .
        '" >' .
        __("Read More", "simple-blogger") .
        "</a> </div>";
}
add_filter("excerpt_more", "simpleblogger_button_excerpt_more");

//Function for setting up the archieve header

if (!function_exists("simpleblogger_archive_header")) {
    function simpleblogger_archive_header()
    {
        if (is_category()) {
            echo '<div class="jumbotron">';
            echo '<h2 class="text-center">';
            esc_html_e("Category Archive", "simple-blogger");
            echo '<h3 class="text-center">';
            echo get_queried_object()->name;
            echo "</h3>";
            echo "</h2>";
            echo "</div>";
        } elseif (is_tag()) {
            echo '<div class="jumbotron">';
            echo '<h2 class ="text-center">';
            esc_html_e("Tag Archive", "simple-blogger");
            echo "</h2>";
            echo "</div>";
        } elseif (is_day()) {
            echo '<div class="jumbotron">';
            echo '<h2 class ="text-center">';
            echo "" . get_the_date();
            echo "</h2>";
            echo "</div>";
        } elseif (is_month()) {
            echo '<div class="jumbotron">';
            echo '<h2 class ="text-center">';
            echo "" . get_the_date("F Y");
            echo "</h2>";
            echo "</div>";
        } elseif (is_year()) {
            echo '<div class="jumbotron">';
            echo '<h2 class ="text-center">';
            echo "" . get_the_date("Y");
            echo "</h2>";
            echo "</div>";
        }
    }
}



//function for showing number of comments

if (!function_exists("simpleblogger_comment_info")) {
    function simpleblogger_comment_info()
    {
        ?>
<p><i class='fa fa-comment'> <?php echo get_comments_number(); ?> </i> </p>

    <?php
    }
}

//function for adjusting embedded video size

function simpleblogger_size_embed_videos()
{
    return [
        "width" => 500,
        "height" => 400,
    ];
}

add_filter("embed_defaults", "simpleblogger_size_embed_videos");

//function for full content read more link

function simpleblogger_modify_read_more_link()
{
    return '<a class="btn btn-primary" href="' .
        get_permalink() .
        '">' .
        __("Read More", "simple-blogger") .
        " </a>";
}
add_filter("the_content_more_link", "simpleblogger_modify_read_more_link");

//function for pagination

if (!function_exists("simpleblogger_theme_pagination")) {
    function simpleblogger_theme_pagination()
    {
        ?>
<h2 class="text-center "> <?php the_posts_pagination([
    "mid_size" => 3,
    "prev_text" => '<i class="fa fa-arrow-left"></i>',
    "next_text" => '<i class="fa fa-arrow-right"></i>',
]); ?> </h2>
	
 <?php
    }
}

// Function for customizing comment form
if (!function_exists("simpleblogger_custom_comment_form")) {
    function simpleblogger_custom_comment_form()
    {
        $req = get_option("require_name_email");
        $commenter = wp_get_current_commenter();
        $args = [
            "class_submit" => "btn btn-primary",
            "fields" => [
                "author" =>
                    "<p>" .
                    '<label for="author"><small>' .
                    __("Name", "simple-blogger") .
                    ($req
                        ? ' <span class="required">*</span>'
                        : "") .
                    "<small></label> " .
                    '<input type="text" class="form-control" name="author" id="author"                                                                                  value="' .esc_attr($commenter["comment_author"]) .
                    '" maxlength="245" autocomplete="name"  />' .
                    "</p>",
                "email" =>
                    "<p>" .
                    '<label for="email"><small>' .
                    __("Email", "simple-blogger") .
                    ($req
                        ? ' <span class="required">*</span>'
                        : "") .
                    "<small></label> " .
                    '<input type="email" class="form-control" name="email" id="email"                                                                                   value="' .esc_attr($commenter["comment_author_email"]) .
                    '" maxlength="100" autocomplete ="email"   />' .
                    "</p>",
                "url" =>
                    "<p>" .
                    '<label for="url"><small>' .
                    __("Website", "simple-blogger") .
                    "<small></label> " .
                    '<input type="url" class="form-control" name="url" id="url"                                                                                          value="' .esc_attr($commenter["comment_author_url"]) .
                    '" maxlength="200" autocomplete ="url"  />' .
                    "</p>",
            ],
            "comment_field" =>
                "<p>" .
                '<label for="comment"><small>' .
                __("Comment", "simple-blogger") .
                ($req ? ' <span class="required">*  </span>' : "") .
                "<small></label> " .
                '<textarea id="comment" name="comment" class="form-control"  cols="50%" rows="10" maxlength="65525" required></textarea>' .
                "</p>",
        ];

        return $args;?>
 <?php
    }
}

//Function for changing the class of comment reply link

function simpleblogger_change_comment_reply_link_class($class)
{
    $class = str_replace(
        "class='comment-reply-link",
        "class='comment-reply-link btn btn-primary",
        $class
    );

    return $class;
}

add_filter("comment_reply_link", "simpleblogger_change_comment_reply_link_class");

//Function for changing the position of the comment field

function simpleblogger_change_comment_field_position($fields)
{
    $comment_field = $fields["comment"];
    unset($fields["comment"]);
    $fields["comment"] = $comment_field;
    return $fields;
}
add_filter("comment_form_fields", "simpleblogger_change_comment_field_position");

?>
